package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TesrpmRepository;
import com.realnet.basicp1.Entity.Tesrpm
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class TesrpmService {
@Autowired
private TesrpmRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Tesrpm Savedata(Tesrpm data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Tesrpm save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Tesrpm> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Tesrpm> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Tesrpm> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Tesrpm getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Tesrpm update(Tesrpm data,Integer id) {
	Tesrpm old = Repository.findById(id).get();
old.setName(data.getName());

old.setNumber1(data.getNumber1());

old.setNumber2(data.getNumber2());

old.setCalculatedadd(data.getCalculatedadd());

final Tesrpm test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
